
local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

aom_muskets = {}

if core.get_modpath("aom_settings") then
    aom_settings.register_setting("gameplay_musket_reload_speed", 1, "Musket Reload Speed", "server")
end

dofile(mod_path .. DIR_DELIM .. "reloader.lua")
dofile(mod_path .. DIR_DELIM .. "system.lua")

dofile(mod_path .. DIR_DELIM .. "items" .. DIR_DELIM .. "parts.lua")

dofile(mod_path .. DIR_DELIM .. "items" .. DIR_DELIM .. "pistol.lua")
dofile(mod_path .. DIR_DELIM .. "items" .. DIR_DELIM .. "blunderbuss.lua")
dofile(mod_path .. DIR_DELIM .. "items" .. DIR_DELIM .. "rifle.lua")
